function::user_string_n_nofault
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::user_string_n_nofault — Retrieves string of given length from user space

## Synopsis

        user_string_n_nofault(addr:long,n:long)

## Arguments

`addr`

  the user space address to retrieve the string from

`n`

  the maximum length of the string (if not null terminated)

## Description

Returns the C string of a maximum given length from a given user space address. Returns the empty string when userspace data is not accessible at the given address.

Prev | Up | Next
function::user_string_n | Home | function::user_string_n_quoted